Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Module

    ru.biosoft.access.DataElementSupport
      |
      +--ru.biosoft.access.AbstractDataCollection
            |
            +--ru.biosoft.access.DerivedDataCollection
                  |
                  +--biouml.model.Module

public class Module
extends DerivedDataCollection

The module data is hierarchically organised in following manner:

- Diagrams
  `DataCollection` of `Diagram`s.
  In furture diagrams can be ierarchically grouped.
- Data
  "Kernel" and other data elements. For example, literature reference, that is `DataElemrnt`) but can not be used as diagram element.
  Data elements ordered by categories. So Data is a `DataCollection` where data elements are categories.
- Metadata
  This `DataCollection` stores `DiagramType`s, inheretid modules and so on.

Field Summary
`final static String` | `DATA` Name of data DataCollection.
`final static String` | `DIAGRAM` Name of diagrams DataCollection.
`final static String` | `METADATA` Name of metadata DataCollection.
`final static String` | `SIMULATION` Name of DataCollection for simulation results, plots, etc.
`final static String` | `TYPE_PROPERTY`

Constructor Summary
`Module(DataCollection primaryCollection, Properties properties)` Constructs derived data collection with primary collection.

Method Summary
`void` | `close()`
`DataCollection` | `getCategory(Class c)`
`Diagram` | `getDiagram(String name)`
`DataCollection` | `getDiagrams()`
`DataElement` | `getKernel(String relativeName)`
`DataElement` | `getKernel(Class c, String name)`
`static Module` | `getModule(DataElement element)`
`File` | `getPath()`
`ModuleType` | `getType()`
`String` | `getVersion()`
`void` | `putDiagram(Diagram diagram)`
`void` | `putKernel(DataElement kernel)`

Methods inherited from class ru.biosoft.access.DerivedDataCollection
`contains, contains, doGet, getDataElementType, getNameList, getPrimaryCollection, getSize, isMutable, iterator, toString`

Methods inherited from class ru.biosoft.access.AbstractDataCollection
`addDataCollectionListener, get, getCompleteName, getDescription, getInfo, isNotificationEnabled, isPropagationEnabled, propagateElementChanged, propagateElementWillChange, put, release, remove, removeDataCollectionListener, setNotificationEnabled, setPropagationEnabled`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual`

Field Detail

### DATA

    public final static String DATA

  Name of data DataCollection.

### DIAGRAM

    public final static String DIAGRAM

  Name of diagrams DataCollection.

### METADATA

    public final static String METADATA

  Name of metadata DataCollection.

### SIMULATION

    public final static String SIMULATION

  Name of DataCollection for simulation results, plots, etc.

### TYPE_PROPERTY

    public final static String TYPE_PROPERTY

Constructor Detail

### Module

    public Module(DataCollection primaryCollection, Properties properties)
             throws java.lang.Exception

  Constructs derived data collection with primary collection.
  Parameters:
    primaryCollection
    properties - Properties for creating data collection .

Method Detail

### close

    public void close()
                throws java.lang.Exception

### getCategory

    public DataCollection getCategory(Class c)
                                throws java.lang.Exception

### getDiagram

    public Diagram getDiagram(String name)
                        throws java.lang.Exception

### getDiagrams

    public DataCollection getDiagrams()
                                throws java.lang.Exception

### getKernel

    public DataElement getKernel(String relativeName)
                           throws java.lang.Exception

### getKernel

    public DataElement getKernel(Class c, String name)
                           throws java.lang.Exception

### getModule

    public static Module getModule(DataElement element)

### getPath

    public File getPath()

  Returns:
  pending Temp for module removing

### getType

    public ModuleType getType()

### getVersion

    public String getVersion()

### putDiagram

    public void putDiagram(Diagram diagram)
                     throws java.lang.Exception

### putKernel

    public void putKernel(DataElement kernel)
                    throws java.lang.Exception

Association Links

to Class java.lang.String

  Name of diagrams DataCollection.

to Class java.lang.String

  Name of data DataCollection.

to Class java.lang.String

  Name of metadata DataCollection.

to Class java.lang.String

  Name of DataCollection for simulation results, plots, etc.

to Class java.lang.String

to Class biouml.model.ModuleType

to Class ru.biosoft.access.DataCollection

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM